<?php
/**
 * The create lane view file of kanban module of ZDOO.
 *
 * @copyright   Copyright 2009-2020 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     ZPL (http://zpl.pub/page/zplv12.html)
 * @author      Gang Liu <liugang@easycorp.ltd>
 * @package     kanban
 * @version     $Id$
 * @link        http://www.zdoo.com
 */
?>
<form id='createColumnForm' method='post' action='<?php echo inlink('copyColumn', "columnID=$column->id");?>'>
  <table class='table table-form'>
    <tr>
      <th class="w-120px"><?php echo $lang->kanbancolumn->name;?></th>
      <td>
        <div class='required required-wrapper'></div>
        <?php echo html::input('name', $column->name, "class='form-control'");?>
      </td>
    </tr>
    <tr class="<?php echo $column->parent ? '' : 'hidden';?>">
      <th><?php echo $lang->kanban->WIP;?></th>
      <td>
        <div class='required required-wrapper'></div>
        <div class='input-group'>
          <?php echo html::number('limit', $column->limit ? $column->limit : '', "min='1' class='form-control'" . ($column->limit ? '' : "readonly='readonly'"));?>
          <span class='input-group-addon'>
            <label class='checkbox-inline'>
              <input type='checkbox' name='unlimited' id='unlimited' value='1' <?php echo $column->limit ? '' : "checked='checked'";?>/> <?php echo $this->lang->kanban->unlimited;?>
            </label>
          </span>
        </div>
      </td>
    </tr>
    <tr>
      <th><?php echo $lang->kanbancolumn->color;?></th>
      <td><div id='color-picker'></div></td>
    </tr>
    <tr>
      <th><?php echo $lang->kanbancolumn->position;?></th>
      <td><?php echo html::select('position', $positions, $column->order + 1, "class='form-control chosen'");?></td>
    </tr>
    <tr>
      <th><?php echo $lang->kanbancolumn->copyItems;?></th>
      <td><?php echo html::radio('copyItems', $lang->kanbanColumn->copyItemsStatus, '1');;?></td>
    </tr>
    <tr>
      <th></th>
      <td class='form-actions'>
        <?php echo html::hidden('color', $column->color);?>
        <?php echo html::hidden('group', $column->group);?>
        <?php echo html::hidden('parent', $column->parent);?>
        <?php echo html::submitButton();?>
        <?php echo html::commonButton($lang->cancel, 'btn', "data-dismiss='modal'");?>
      </td>
    </tr>
  </table>
</form>
<?php include '../../../sys/common/view/footer.modal.html.php';?>
